Recuperar un grupo de workspaces
Recupera información detallada sobre un grupo de workspaces específico, incluida su configuración, tipo y ubicación. Devuelve datos del grupo de workspaces que coinciden con la estructura del endpoint de listado.
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"create_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"create_user": "<string>",
"type": "static",
"filter": "<string>",
"location": {
"latitude": 123,
"longitude": 123,
"address": "<string>",
"description": "<string>"
},
"entra_id_source": {
"resource_id": "<string>",
"resource_type": "group",
"resource_name": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
El identificador único de la organización
24^[0-9a-f]{24}$El identificador único del grupo de workspaces
24^[0-9a-f]{24}$Respuesta
Detalles del grupo de workspaces recuperados correctamente. La respuesta incluye la configuración, el tipo y la ubicación del grupo de workspaces.
ID del grupo de workspaces
^[0-9a-f]{24}$Nombre del grupo de workspaces
Identificador de organización
^[0-9a-f]{24}$Marca de tiempo de creación
Descripción del grupo de workspaces
ID del usuario que creó el grupo de workspaces
^[0-9a-f]{24}$Tipo de grupo de workspaces
static, dynamic, entra_id Cadena de filtro para grupo de workspaces dinámicos
Información de ubicación del grupo de workspaces
Show child attributes
Show child attributes
Información de origen de Entra ID para el grupo de workspaces
Show child attributes
Show child attributes
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"create_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"create_user": "<string>",
"type": "static",
"filter": "<string>",
"location": {
"latitude": 123,
"longitude": 123,
"address": "<string>",
"description": "<string>"
},
"entra_id_source": {
"resource_id": "<string>",
"resource_type": "group",
"resource_name": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}